const nav_button = document.querySelector("nav > button")
const nav_menu = document.querySelector("nav > ul");

const lang_button = document.querySelector("#menu-area > button");
const lang_menu = document.querySelector("#menu-area > ul");
const languages = lang_menu.querySelectorAll("a");

nav_button.onclick = (e) => {
    nav_menu.classList.toggle("shown");
}

lang_button.onclick = (e) => {
    lang_menu.classList.toggle("shown");
}


for (const lang of languages) {
    lang.onclick = function () {
        let url = new URL(window.location.href);
        url.searchParams.set("lang", lang.hreflang);
        window.location.replace(url)
    }
}